package gaf3.demo.allinone.api

import gaf3.core.data.JsonResult
import org.springframework.cloud.openfeign.FeignClient
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.PathVariable

@FeignClient(name = "token-service", url = "http://localhost:19090" )
interface TokenService {
    @GetMapping(path = ["/api/agent/token/{state}"], consumes = ["application/json"])
    fun fetch(@PathVariable("state") state: String): JsonResult<String>
}