package gaf3.demo.allinone.bean

import gaf3.core.gateway.filter.factory.ForwardGatewayFilterFactory
import gaf3.core.gateway.handler.predicate.JwtRoutePredicateFactory
import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
class FactoryBean {
    @Bean
    fun forwardGatewayFilterFactory(): ForwardGatewayFilterFactory {
        return ForwardGatewayFilterFactory()
    }

    @Bean
    fun jwtRoutePredicateFactory(): JwtRoutePredicateFactory {
        return JwtRoutePredicateFactory()
    }
}