package gaf3.demo.services

import gaf3.core.cloud.GafCloudConfiguration
import org.springframework.boot.autoconfigure.SpringBootApplication
import org.springframework.boot.runApplication
import org.springframework.cloud.openfeign.EnableFeignClients
import org.springframework.context.annotation.Import

@SpringBootApplication
@EnableFeignClients
@Import(GafCloudConfiguration::class)
class ServiceApiApplication

fun main(args: Array<String>) {
	runApplication<ServiceApiApplication>(*args)
}
